Bug 114014 - CAN-2003-0848 slocate buffer overflow
Summary: CAN-2003-0848 slocate buffer overflow
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: slocate   
(Show other bugs)
Version: 9
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-01-21 13:44 UTC by Mark J. Cox
Modified: 2014-03-17 02:41 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-22 16:35:02 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2004:040 normal SHIPPED_LIVE : Updated slocate packages fix vulnerability 2004-01-21 05:00:00 UTC

Description Mark J. Cox 2004-01-21 13:44:52 UTC
A heap-based buffer overflow in slocate can allow local users to gain
"slocate" privileges via a modified slocate database that causes a
negative "pathlen" value.

Comment 1 Ed Bailey 2004-01-21 21:31:31 UTC
Um, I think  you have the wrong CVE name; it is CAN-2003-0848... :-)

Comment 2 Mark J. Cox 2004-01-22 16:35:02 UTC
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2004-040.html



Note You need to log in before you can comment on or make changes to this bug.